import Foundation

/**
 A push message to send to the push server.

 This structure contains the content of the notification, as well as all data to send the notification to one or more recipients.
 The message contains the authorization of the sender as well.
 */
struct AuthenticatedPushMessage {

    /// The device sending the message
    let sender: DeviceAuthentication

    /// The message to send
    let message: PushMessage

}

extension AuthenticatedPushMessage: Codable {

}
